Associating a template with a host group does not associate child host groups

04/13/2016 03:17 PM - Bryan Kearney

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1282485 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1282485

Description of problem:

If a provisioning template is associated with a HostGroup, nested HostGroups will still be associated with the Operating System

default template.

This is does not follow the usage patterns used elsewhere around HostGroups. In my opinion, it would be more intuitive to be able to

set the provisioning template in the "operating system" tab of the HostGroup and let the value be inherited by nested HostGroups,

just like most other values.

Version-Release number of selected component (if applicable):

How reproducible:

Satellite 6.1.3

Steps to Reproduce:

1. Create two host groups Foo/Bar, where Foo is a parent of Bar

2. Associate a custom provisioning template with Foo

3. Do note that hosts in the Bar HG, do not use the template associated with Foo.

Related issues:

Has duplicate Foreman - Bug #19495: Inherit allowable template combinations i... Duplicate 05/09/2017

History

#1 - 04/14/2016 03:07 AM - Dominic Cleal

- Subject changed from Associating a template with a HostGroup does not create association for nested HostGroups to Associating a template with a

host group does not associate child host groups

- Category set to Templates

#2 - 05/09/2017 11:02 AM - Dominic Cleal

- Has duplicate Bug #19495: Inherit allowable template combinations in child host groups added
